# norootforbuild
%define		pkgname	libmemcached

Summary:	Memcached C library and command line tools
Name:		%{pkgname}
Version:	1.0.4
Release:	1.2
License:	BSD
Group:		System Environment/Libraries
URL:		http://tangent.org/552/libmemcached.html
Source:		http://download.tangent.org/%{pkgname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{pkgname}-%{version}-build
BuildRequires:	gcc-c++ memcached
%if 0%{?suse_version} >= 1110
BuildRequires:	libevent-devel
%endif
%if 0%{?suse_version} > 1020
BuildRequires:  fdupes
%endif

%description
libmemcached is a C client library to the memcached server
(http://danga.com/memcached). It has been designed to be light on memory
usage, and provide full access to server side methods.

It also implements several command line tools:

memcat - Copy the value of a key to standard output.
memflush - Flush the contents of your servers.
memrm - Remove a key(s) from the serrver.
memstat - Dump the stats of your servers to standard output.
memcp - Copy files to memcached servers.
memerror - Creates human readable messages from libmemecached error codes.

%package devel
Group:		Development/Libraries
Summary:	Memcached C library and command line tools
Requires:	%{pkgname} = %{version}
Requires:	glibc-devel

%description devel
Development libraries and header files.

%prep
%setup

%configure \
%ifarch x86_64
 --enable-64bit \
%endif
 --with-memcached=%{_sbindir}/memcached

%build
%{__make} %{_smp_mflags} || hostname -f

%install
%{__rm} -rf %{buildroot}
%{__make} install  DESTDIR="%{buildroot}" AM_INSTALL_PROGRAM_FLAGS=""

# find duplicate files and symlink
%if 0%{?suse_version} > 1020
# create symlinks for man pages
%fdupes -s $RPM_BUILD_ROOT/%{_mandir}
# create hardlinks for the rest
%fdupes $RPM_BUILD_ROOT
%endif


%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(0755,root,root,-)
%{_bindir}/memping
%{_bindir}/memdump
%{_bindir}/memcat
%{_bindir}/memcp
%{_bindir}/memerror
%{_bindir}/memflush
%{_bindir}/memrm
%{_bindir}/memstat
%{_bindir}/memcapable
%{_bindir}/memslap
%{_bindir}/memparse
%{_bindir}/memexist
%{_bindir}/memtouch
%defattr(0640,root,root,-)
%{_mandir}/man1/memdump.1.gz
%{_mandir}/man1/memcat.1.gz
%{_mandir}/man1/memcp.1.gz
%{_mandir}/man1/memerror.1.gz
%{_mandir}/man1/memflush.1.gz
%{_mandir}/man1/memrm.1.gz
%{_mandir}/man1/memslap.1.gz
%{_mandir}/man1/memstat.1.gz
%{_mandir}/man1/memcapable.1.gz
%{_mandir}/man3/memcached_dump.3.gz
%{_mandir}/man3/libmemcached.3.gz
%{_mandir}/man3/libmemcached_examples.3.gz
%{_mandir}/man3/memcached_add.3.gz
%{_mandir}/man3/memcached_append.3.gz
%{_mandir}/man3/memcached_behavior_get.3.gz
%{_mandir}/man3/memcached_behavior_set.3.gz
%{_mandir}/man3/memcached_cas.3.gz
%{_mandir}/man3/memcached_clone.3.gz
%{_mandir}/man3/memcached_create.3.gz
%{_mandir}/man3/memcached_decrement.3.gz
%{_mandir}/man3/memcached_delete.3.gz
%{_mandir}/man3/memcached_fetch.3.gz
%{_mandir}/man3/memcached_fetch_result.3.gz
%{_mandir}/man3/memcached_free.3.gz
%{_mandir}/man3/memcached_get.3.gz
%{_mandir}/man3/memcached_increment.3.gz
%{_mandir}/man3/memcached_mget.3.gz
%{_mandir}/man3/memcached_prepend.3.gz
%{_mandir}/man3/memcached_quit.3.gz
%{_mandir}/man3/memcached_replace.3.gz
%{_mandir}/man3/memcached_server_add.3.gz
%{_mandir}/man3/memcached_server_count.3.gz
%{_mandir}/man3/memcached_server_list.3.gz
%{_mandir}/man3/memcached_server_list_append.3.gz
%{_mandir}/man3/memcached_server_list_count.3.gz
%{_mandir}/man3/memcached_server_list_free.3.gz
%{_mandir}/man3/memcached_server_push.3.gz
%{_mandir}/man3/memcached_servers_parse.3.gz
%{_mandir}/man3/memcached_set.3.gz
%{_mandir}/man3/memcached_stat.3.gz
%{_mandir}/man3/memcached_stat_get_keys.3.gz
%{_mandir}/man3/memcached_stat_get_value.3.gz
%{_mandir}/man3/memcached_stat_servername.3.gz
%{_mandir}/man3/memcached_strerror.3.gz
%{_mandir}/man3/memcached_verbosity.3.gz
%{_mandir}/man3/memcached_add_by_key.3.gz
%{_mandir}/man3/memcached_append_by_key.3.gz
%{_mandir}/man3/memcached_callback_get.3.gz
%{_mandir}/man3/memcached_callback_set.3.gz
%{_mandir}/man3/memcached_cas_by_key.3.gz
%{_mandir}/man3/memcached_delete_by_key.3.gz
%{_mandir}/man3/memcached_fetch_execute.3.gz
%{_mandir}/man3/memcached_get_by_key.3.gz
%{_mandir}/man3/memcached_lib_version.3.gz
%{_mandir}/man3/memcached_mget_by_key.3.gz
%{_mandir}/man3/memcached_prepend_by_key.3.gz
%{_mandir}/man3/memcached_replace_by_key.3.gz
%{_mandir}/man3/memcached_set_by_key.3.gz
%{_mandir}/man3/memcached_version.3.gz
%{_mandir}/man3/memcached_analyze.3.gz
%{_mandir}/man3/memcached_flush_buffers.3.gz
%{_mandir}/man3/memcached_generate_hash_value.3.gz
%{_mandir}/man3/libmemcachedutil.3.gz
%{_mandir}/man3/memcached_decrement_with_initial.3.gz
%{_mandir}/man3/memcached_increment_with_initial.3.gz
%{_mandir}/man3/memcached_pool_create.3.gz
%{_mandir}/man3/memcached_pool_destroy.3.gz
%{_mandir}/man3/memcached_pool_pop.3.gz
%{_mandir}/man3/memcached_pool_push.3.gz
%{_mandir}/man3/memcached_get_memory_allocators.3.gz
%{_mandir}/man3/memcached_get_user_data.3.gz
%{_mandir}/man3/memcached_set_memory_allocators.3.gz
%{_mandir}/man3/memcached_set_user_data.3.gz
%{_mandir}/man3/memcached_pool_behavior_get.3.gz
%{_mandir}/man3/memcached_pool_behavior_set.3.gz
%{_mandir}/man3/memcached_mget_execute.3.gz
%{_mandir}/man3/memcached_mget_execute_by_key.3.gz
%{_mandir}/man3/hashkit_clone.3.gz
%{_mandir}/man3/hashkit_crc32.3.gz
%{_mandir}/man3/hashkit_create.3.gz
%{_mandir}/man3/hashkit_fnv1_32.3.gz
%{_mandir}/man3/hashkit_fnv1_64.3.gz
%{_mandir}/man3/hashkit_fnv1a_32.3.gz
%{_mandir}/man3/hashkit_fnv1a_64.3.gz
%{_mandir}/man3/hashkit_free.3.gz
%{_mandir}/man3/hashkit_functions.3.gz
%{_mandir}/man3/hashkit_hsieh.3.gz
%{_mandir}/man3/hashkit_is_allocated.3.gz
%{_mandir}/man3/hashkit_jenkins.3.gz
%{_mandir}/man3/hashkit_md5.3.gz
%{_mandir}/man3/hashkit_murmur.3.gz
%{_mandir}/man3/hashkit_value.3.gz
%{_mandir}/man3/memcached_server_cursor.3.gz
%{_mandir}/man3/memcached_stat_execute.3.gz
%{_mandir}/man1/memaslap.1.gz
%{_mandir}/man3/libhashkit.3.gz
%{_mandir}/man3/libmemcached_check_configuration.3.gz
%{_mandir}/man3/libmemcached_configuration.3.gz
%{_mandir}/man3/memcached.3.gz
%{_mandir}/man3/memcached_destroy_sasl_auth_data.3.gz
%{_mandir}/man3/memcached_generate_hash.3.gz
%{_mandir}/man3/memcached_get_sasl_callbacks.3.gz
%{_mandir}/man3/memcached_pool_st.3.gz
%{_mandir}/man3/memcached_sasl_set_auth_data.3.gz
%{_mandir}/man3/memcached_set_sasl_callbacks.3.gz
%{_mandir}/man3/memcached_last_error_message.3.gz
%{_mandir}/man3/memcached_exist.3.gz
%{_mandir}/man3/memcached_exist_by_key.3.gz
%{_mandir}/man3/memcached_pool.3.gz
%{_mandir}/man3/memcached_pool_fetch.3.gz
%{_mandir}/man3/memcached_pool_release.3.gz
%{_mandir}/man3/memcached_touch.3.gz
%{_mandir}/man3/memcached_touch_by_key.3.gz
%attr(0755,root,root) %{_libdir}/libmemcachedutil.so.2*
%attr(0755,root,root) %{_libdir}/libmemcached.so.9*
%attr(0755,root,root) %{_libdir}/libmemcachedprotocol.so.0*
%attr(0755,root,root) %{_libdir}/libhashkit.so.1*

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/libmemcached
%{_includedir}/libmemcached/memcached.h
%{_includedir}/libmemcached/memcached.hpp
%dir %{_includedir}/libhashkit
%{_includedir}/libhashkit/hashkit.h
%dir %{_includedir}/libhashkit-1.0
%dir %{_includedir}/libmemcached-1.0
%dir %{_includedir}/libmemcachedprotocol-0.0
%dir %{_includedir}/libmemcachedutil-1.0
%{_includedir}/libhashkit-1.0/algorithm.h   
%{_includedir}/libhashkit-1.0/behavior.h    
%{_includedir}/libhashkit-1.0/configure.h   
%{_includedir}/libhashkit-1.0/digest.h      
%{_includedir}/libhashkit-1.0/function.h    
%{_includedir}/libhashkit-1.0/has.h         
%{_includedir}/libhashkit-1.0/hashkit.h     
%{_includedir}/libhashkit-1.0/hashkit.hpp   
%{_includedir}/libhashkit-1.0/str_algorithm.h
%{_includedir}/libhashkit-1.0/strerror.h     
%{_includedir}/libhashkit-1.0/types.h        
%{_includedir}/libhashkit-1.0/visibility.h   
%{_includedir}/libmemcached-1.0/allocators.h 
%{_includedir}/libmemcached-1.0/analyze.h    
%{_includedir}/libmemcached-1.0/auto.h
%{_includedir}/libmemcached-1.0/basic_string.h
%{_includedir}/libmemcached-1.0/behavior.h
%{_includedir}/libmemcached-1.0/callback.h
%{_includedir}/libmemcached-1.0/configure.h
%{_includedir}/libmemcached-1.0/delete.h
%{_includedir}/libmemcached-1.0/dump.h
%{_includedir}/libmemcached-1.0/error.h
%{_includedir}/libmemcached-1.0/exception.hpp
%{_includedir}/libmemcached-1.0/exist.h
%{_includedir}/libmemcached-1.0/fetch.h
%{_includedir}/libmemcached-1.0/flush.h
%{_includedir}/libmemcached-1.0/flush_buffers.h
%{_includedir}/libmemcached-1.0/get.h
%{_includedir}/libmemcached-1.0/hash.h
%{_includedir}/libmemcached-1.0/memcached.h
%{_includedir}/libmemcached-1.0/memcached.hpp
%{_includedir}/libmemcached-1.0/options.h
%{_includedir}/libmemcached-1.0/parse.h
%{_includedir}/libmemcached-1.0/platform.h
%{_includedir}/libmemcached-1.0/quit.h
%{_includedir}/libmemcached-1.0/result.h
%{_includedir}/libmemcached-1.0/return.h
%{_includedir}/libmemcached-1.0/sasl.h
%{_includedir}/libmemcached-1.0/server.h
%{_includedir}/libmemcached-1.0/server_list.h
%{_includedir}/libmemcached-1.0/stats.h
%{_includedir}/libmemcached-1.0/storage.h
%{_includedir}/libmemcached-1.0/strerror.h
%{_includedir}/libmemcached-1.0/touch.h
%{_includedir}/libmemcached-1.0/types.h
%{_includedir}/libmemcached-1.0/verbosity.h
%{_includedir}/libmemcached-1.0/version.h
%{_includedir}/libmemcached-1.0/visibility.h
%{_includedir}/libmemcached/util.h
%{_includedir}/libmemcachedprotocol-0.0/binary.h
%{_includedir}/libmemcachedprotocol-0.0/callback.h
%{_includedir}/libmemcachedprotocol-0.0/handler.h
%{_includedir}/libmemcachedprotocol-0.0/vbucket.h
%{_includedir}/libmemcachedutil-1.0/flush.h
%{_includedir}/libmemcachedutil-1.0/ostream.hpp
%{_includedir}/libmemcachedutil-1.0/pid.h
%{_includedir}/libmemcachedutil-1.0/ping.h
%{_includedir}/libmemcachedutil-1.0/pool.h
%{_includedir}/libmemcachedutil-1.0/util.h
%{_includedir}/libmemcachedutil-1.0/version.h
%{_includedir}/libmemcached-1.0/alloc.h
%{_includedir}/libmemcached-1.0/callbacks.h
%{_includedir}/libmemcached-1.0/defaults.h
%{_includedir}/libmemcached-1.0/deprecated_types.h
%{_includedir}/libmemcached-1.0/limits.h
%dir %{_includedir}/libmemcached-1.0/struct
%{_includedir}/libmemcached-1.0/struct/allocator.h
%{_includedir}/libmemcached-1.0/struct/analysis.h
%{_includedir}/libmemcached-1.0/struct/callback.h
%{_includedir}/libmemcached-1.0/struct/memcached.h
%{_includedir}/libmemcached-1.0/struct/result.h
%{_includedir}/libmemcached-1.0/struct/sasl.h
%{_includedir}/libmemcached-1.0/struct/server.h
%{_includedir}/libmemcached-1.0/struct/stat.h
%{_includedir}/libmemcached-1.0/struct/string.h
%{_includedir}/libmemcached-1.0/triggers.h
%dir %{_includedir}/libmemcached-1.0/types
%{_includedir}/libmemcached-1.0/types/behavior.h
%{_includedir}/libmemcached-1.0/types/callback.h
%{_includedir}/libmemcached-1.0/types/connection.h
%{_includedir}/libmemcached-1.0/types/hash.h
%{_includedir}/libmemcached-1.0/types/return.h
%{_includedir}/libmemcached-1.0/types/server_distribution.h
%{_libdir}/libmemcached.la
%{_libdir}/libmemcachedutil.la
%{_libdir}/libmemcachedprotocol.la
%{_libdir}/libhashkit.la
%{_libdir}/libmemcached.a
%{_libdir}/libmemcachedutil.a
%{_libdir}/libmemcachedprotocol.a
%{_libdir}/libhashkit.a
%attr(0755,root,root) %{_libdir}/libmemcachedprotocol.so
%attr(0755,root,root) %{_libdir}/libmemcachedutil.so
%attr(0755,root,root) %{_libdir}/libmemcached.so
%attr(0755,root,root) %{_libdir}/libhashkit.so
%{_libdir}/pkgconfig/libmemcached.pc


%changelog
* Sat Jan 28 2012 cs@linux-administrator.com
- update to release 1.0.4
* Wed Jan 11 2012 cs@linux-administrator.com
- update to release 1.0.3
* Thu Oct 27 2011 cs@linux-administrator.com
- update to release 1.0.2
* Fri Sep 30 2011 cs@linux-administrator.com
- update to release 0.53
* Wed Sep 14 2011 cs@linux-administrator.com
- update to release 0.52
* Wed Aug  3 2011 cs@linux-administrator.com
- update to release 0.51
* Tue Apr 19 2011 cs@linux-administrator.com
- update to release 0.49
* Fri Mar 18 2011 cs@linux-administrator.com
- update to release 0.48
* Tue Feb 15 2011 cs@linux-administrator.com
- update to release 0.46
